#define STRICT
#define WIN32_LEAN_AND_MEAN
#define NOMCX
#define NOIME
// #define NOGDI             GDI APIs and definitions
// #define NOUSER            USER APIs and definitions
#define NOSOUND
#define NOCOMM
#define NODRIVERS
#define OEMRESOURCE
#define NONLS
#define NOSERVICE
#define NOKANJI
#define NOMINMAX
#define NOLOGERROR
#define NOPROFILER
#define NOMEMMGR
#define NOLFILEIO
#define NOOPENFILE
#define NORESOURCE
#define NOATOM
#define NOLANGUAGE
#define NOLSTRING
#define NODBCS
#define NOKEYBOARDINFO
#define NOGDICAPMASKS
#define NOCOLOR
#define NOGDIOBJ
#define NODRAWTEXT
#define NOTEXTMETRIC
#define NOSCALABLEFONT
#define NOBITMAP
#define NORASTEROPS
#define NOMETAFILE
#define NOSYSMETRICS
#define NOSYSTEMPARAMSINFO
#define NOMSG
#define NOWINSTYLES
#define NOWINOFFSETS
#define NOSHOWWINDOW
#define NODEFERWINDOWPOS
#define NOVIRTUALKEYCODES
#define NOKEYSTATES
#define NOWH
#define NOMENUS
#define NOSCROLL
#define NOCLIPBOARD
#define NOICONS
#define NOMB
#define NOSYSCOMMANDS
#define NOMDI
#define NOCTLMGR
#define NOWINMESSAGES
#define NOHELP
// #define _WINUSER_
#define __oleidl_h__
#define _OLE2_H_
#include <windows.h>

#define MMNODRV
#define MMNOSOUND
// #define MMNOWAVE
#define MMNOMIDI
#define MMNOAUX
#define MMNOTIMER
#define MMNOJOY
//#define MMNOMCI
#define MMNOMMIO
#define MMNOMMSYSTEM
#include <mmsystem.h>

#include <stdlib.h>
#include "args.h"
#include "mp2win.h"

DWORD mciplay (MCI_Args *args)
{
	char mci_buffer[1024];
	char mci_command[1024];
	char ms_buffer[32];

	while(TRUE) {

		// Handle seeks
		if (args->position_change) {
			mciSendString("stop sounder", mci_buffer, 1024, NULL);
			lstrcpy(mci_command, "seek sounder to ");
			lstrcat(mci_command, itoa(args->desired_position, ms_buffer, 10));
			lstrcat(mci_command, " wait");
			mciSendString(mci_command, mci_buffer, 1024, NULL);

			if (args->playing)
				mciSendString("play sounder notify", mci_buffer, 1024, args->hWnd);

			args->position_change = FALSE;

			SendMessage(args->hWnd, SEEK_ACK, 0, 0);

		} else
			Sleep(500);

      // Update the scroll bar
		mciSendString("status sounder position", mci_buffer, 1024, NULL);
		SendMessage(args->hWnd, SCROLL_POS, atoi(mci_buffer), 0);
	}
}


