@echo off
echo.
echo Playlist Creator, Version 1.00
echo Original idea by James Yang
echo.

if "%1%" =="/?" goto instruct

echo Creating a file "playlist.txt" containing the names of all
echo MPEG Layer II files in the directory %1
cd %1
if exist playlist.txt del playlist.txt 


if "%2%" == "" goto latest_first
echo.
echo Sort options: %2
dir /B %2 *.mp2 >> playlist.txt
goto done

:latest_first
echo.
echo Sort options: /O-D
dir /B /O-D *.mp2 >> playlist.txt

:done
echo.
echo Done!

goto end

:instruct
echo FUNCTION: Creates a list of all files with the extension MP2 in the
echo           mpeg_directory. The output file is named "playlist.txt" and
echo           is placed in the same directory.
echo.
echo    USAGE: makelist mpeg_directory sort_option
echo.
echo           If mpeg_directory is not specified, the current directory is
echo           used. If sort options are not specified, the list is sorted
echo           by date, latest first. For a listing of sort options, type
echo           "dir /?"    

:end
echo.

